---
namespace: grafana
nameSuffix: -dev

images:
  - name: grafana/grafana
    newTag: 9.3.2

bases:
  - ../k8s-apps-base-main/grafana

resources:
  - volumes-grafana.yml
  - ingress.yml

patchesStrategicMerge:
  - volmount-grafana.yml

configMapGenerator:
  - name: grafana-env-vars
    literals:
      - GF_AUTH_LDAP_ENABLED=true
      - GF_AUTH_LDAP_ALLOW_SIGN_UP=true
      - GF_AUTH_LDAP_SKIP_ORG_ROLE_SYNC=true

  - name: ldap-config
    files:
      - ldap.toml
